/* 
 * Copyright 2009-2011 junithelper.org. 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language 
 * governing permissions and limitations under the License. 
 */
package org.junithelper.core.config.extension;

import org.junithelper.core.util.Assertion;

public class ExtArgPattern {

	public ExtArgPattern(ExtArg extArg, String name) {
		Assertion.mustNotBeNull(extArg, "extArg");
		Assertion.mustNotBeNull(name, "name");
		this.extArg = extArg;
		this.name = name;
	}

	public ExtArg extArg;

	public String getNameWhichFirstCharIsUpper() {
		return name.substring(0, 1).toUpperCase() + name.substring(1);
	}

	public String getName() {
		return name;
	}

	private String name;

	public String preAssignCode;

	public String assignCode;

	public String postAssignCode;

}
